#ifndef __UI_LAYOUT__
#define __UI_LAYOUT__

#include "imgui.h"
#include "imnodes.h"

// UI布局
void UI_Layout();
// 组件
namespace Widgets
{
    // 拖拽输入区域
    void Drag_Input_Area(const ImVec2 &size = ImVec2(0, 0));

    // 文件列表区域
    void File_List_Area(const ImVec2 &size = ImVec2(0, 0));

    // 工作流区域
    void Workflow_Area(const ImVec2 &size = ImVec2(0, 0));

    // 控制面板区域
    void Control_Panel(const ImVec2 &size = ImVec2(0, 0));
}

#endif